Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -1,2 +1,12 @@
+2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Remove all-local: $(ARCH).
+	* console/Makefile.am: Remove all-local: $(ARCH).
+	* network/Makefile.am: Remove all-local: $(ARCH).
+	* start/Makefile.am: Remove all-local: $(ARCH).
+	* startup/Makefile.am: Remove all-local: $(ARCH).
+	* timer/Makefile.am: Remove all-local: $(ARCH).
+	* wrapup/Makefile.am: Remove all-local: $(ARCH).
+
 2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/i386ex/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/clock/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/clock/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -22,5 +22,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(clock_rel_OBJECTS) $(PGM)
+all-local: $(clock_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/i386ex/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/console/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/console/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(console_rel_OBJECTS) $(PGM)
+all-local: $(console_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/i386ex/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/network/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/network/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 
 if HAS_NETWORKING
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 endif
 
Index: c/src/lib/libbsp/i386/i386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/start/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/start/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/i386/i386ex/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/startup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/startup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -37,5 +37,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(ARCH) $(startup_rel_OBJECTS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(startup_rel_OBJECTS) $(PGM) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/i386ex/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/timer/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/timer/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
+all-local: $(timer_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 	$(make-library)
 
-all-local: $(ARCH) $(LIB)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -1,2 +1,12 @@
+2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Remove all-local: $(ARCH).
+	* console/Makefile.am: Remove all-local: $(ARCH).
+	* network/Makefile.am: Remove all-local: $(ARCH).
+	* start/Makefile.am: Remove all-local: $(ARCH).
+	* startup/Makefile.am: Remove all-local: $(ARCH).
+	* timer/Makefile.am: Remove all-local: $(ARCH).
+	* wrapup/Makefile.am: Remove all-local: $(ARCH).
+
 2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -22,5 +22,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(clock_rel_OBJECTS) $(PGM)
+all-local: $(clock_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(console_rel_OBJECTS) $(PGM)
+all-local: $(console_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -27,5 +27,5 @@
 
 if HAS_NETWORKING
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 endif
 
Index: c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = 80386ex.h 80386ex.inc macros.inc start.S ts_1325.inc
Index: c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -37,5 +37,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(ARCH) $(startup_rel_OBJECTS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(startup_rel_OBJECTS) $(PGM) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -24,5 +24,5 @@
 # 	../wrapup/Makefile
 
-all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
+all-local: $(timer_rel_OBJECTS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 	$(make-library)
 
-all-local: $(ARCH) $(LIB)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -1,2 +1,12 @@
+2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Remove all-local: $(ARCH).
+	* console/Makefile.am: Remove all-local: $(ARCH).
+	* network/Makefile.am: Remove all-local: $(ARCH).
+	* start/Makefile.am: Remove all-local: $(ARCH).
+	* startup/Makefile.am: Remove all-local: $(ARCH).
+	* timer/Makefile.am: Remove all-local: $(ARCH).
+	* wrapup/Makefile.am: Remove all-local: $(ARCH).
+
 2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68302/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/clock/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/clock/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68302/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/console/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/console/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68302/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/network/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/network/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 
 if HAS_NETWORKING
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 endif
 
Index: c/src/lib/libbsp/m68k/gen68302/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/start/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/start/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -24,5 +24,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(ARCH)/start.$(OBJEXT)
Index: c/src/lib/libbsp/m68k/gen68302/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/startup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -32,5 +32,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68302/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/timer/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/timer/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -25,5 +25,5 @@
 	$(make-library)
 
-all-local: $(ARCH) $(LIB)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -1,2 +1,12 @@
+2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Remove all-local: $(ARCH).
+	* console/Makefile.am: Remove all-local: $(ARCH).
+	* network/Makefile.am: Remove all-local: $(ARCH).
+	* start/Makefile.am: Remove all-local: $(ARCH).
+	* startup/Makefile.am: Remove all-local: $(ARCH).
+	* timer/Makefile.am: Remove all-local: $(ARCH).
+	* wrapup/Makefile.am: Remove all-local: $(ARCH).
+
 2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68360/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/clock/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/clock/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68360/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/console/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/console/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68360/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/network/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/network/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 
 if HAS_NETWORKING
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 endif
 
Index: c/src/lib/libbsp/m68k/gen68360/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -24,5 +24,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(ARCH)/start.$(OBJEXT)
Index: c/src/lib/libbsp/m68k/gen68360/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/startup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -44,5 +44,5 @@
     $(PROJECT_RELEASE)/lib/linkcmds.bootp
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68360/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/timer/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/timer/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am	(revision 9dffd2de1698b5407e1eb263db96bc31aed95b12)
+++ c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am	(revision 70b42aea72d7a8cbfa98fe0fdb81fc062467bbf8)
@@ -26,5 +26,5 @@
 	$(make-library)
 
-all-local: $(ARCH) $(LIB)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am