Index: c/src/lib/libbsp/c4x/c4xsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision c818a7fac7f46dedb2e50cbb4308a841768dc202)
+++ c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
@@ -1,2 +1,9 @@
+2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* clock/clock.c, startup/bspstart.c, startup/linkcmds: Add use of
+	bsp_get_work_area() in its own file and rely on BSP Framework to
+	perform more initialization.
+	* startup/bspgetworkarea.c: New file.
+
 2008-09-10	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/c4x/c4xsim/clock/clock.c
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/clock/clock.c	(revision c818a7fac7f46dedb2e50cbb4308a841768dc202)
+++ c/src/lib/libbsp/c4x/c4xsim/clock/clock.c	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
@@ -16,5 +16,4 @@
 
 #include <rtems.h>
-#include <rtems/libio.h>
 #include <bsp.h>
 #include <rtems/tic4x/c4xio.h>
Index: c/src/lib/libbsp/c4x/c4xsim/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/bspgetworkarea.c	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/bspgetworkarea.c	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
@@ -0,0 +1,39 @@
+/*
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
+ *
+ *  $Id$
+ */
+
+#include <bsp.h>
+#include <bsp/bootcard.h>
+#include <stdint.h>
+
+extern void *RamBase;
+extern void *RamSize;
+extern void *WorkSpaceStart;
+
+/*
+ *  This method returns the base address and size of the area which
+ *  is to be allocated between the RTEMS Workspace and the C Program
+ *  Heap.
+ */
+void bsp_get_work_area(
+  void   **work_area_start,
+  size_t  *work_area_size,
+  void   **heap_start,
+  size_t  *heap_size
+)
+{
+  uintptr_t size;
+
+  size = (uintptr_t)&RamBase + (uintptr_t)&RamSize
+         - (uintptr_t)&WorkSpaceStart;
+
+  *work_area_start = (void *)&WorkSpaceStart;
+  *work_area_size  = size;
+  *heap_start      = BSP_BOOTCARD_HEAP_USES_WORK_AREA;
+  *heap_size       = BSP_BOOTCARD_HEAP_SIZE_DEFAULT;
+}
+
Index: c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c	(revision c818a7fac7f46dedb2e50cbb4308a841768dc202)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
@@ -15,9 +15,5 @@
  */
 
-#include <string.h>
-
 #include <bsp.h>
-#include <rtems/libio.h>
-#include <rtems/libcsupport.h>
 
 /*
@@ -25,5 +21,4 @@
  */
 
-void bsp_libc_init( void *, uint32_t, int );
 extern void bsp_spurious_initialize();
 
@@ -37,9 +32,4 @@
 void bsp_pretasking_hook(void)
 {
-  extern void      *_HeapStart;
-  extern uint32_t   _HeapSize;
-
-  bsp_libc_init(&_HeapStart, (unsigned int) &_HeapSize, 0);
-
   bsp_spurious_initialize();
 }
@@ -59,13 +49,4 @@
 void bsp_start( void )
 {
-  extern void     *_WorkspaceBase;
-  extern uint32_t _WorkspaceMax;
-
-  Configuration.work_space_start = (void *)&_WorkspaceBase;
-  /* XXX check to see if satisfying small memory model */
-
-  if ( rtems_configuration_get_work_space_size() > (int) &_WorkspaceMax )
-    rtems_fatal_error_occurred( 0x43218765 );
-
   BSP_output_char = C4X_BSP_output_char;
   BSP_poll_char = (BSP_polling_getchar_function_type) NULL;
Index: c/src/lib/libbsp/c4x/c4xsim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/linkcmds	(revision c818a7fac7f46dedb2e50cbb4308a841768dc202)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/linkcmds	(revision 71c00c5663cc68b2c8aa4678b84518ebd85b0ef8)
@@ -1,8 +1,9 @@
 /* OUTPUT_FORMAT("coff-c4x") */
- __SYSMEM_SIZE = DEFINED(__SYSMEM_SIZE) ? __SYSMEM_SIZE : 0x4000;
  __STACK_SIZE  = DEFINED(__STACK_SIZE)  ? __STACK_SIZE  : 0x1000;
- __HeapSize = DEFINED(__HeapSize) ? __HeapSize : 0x10000;
- __WorkspaceMax = DEFINED(__WorkspaceMax) ? __WorkspaceMax : 256K;
  __ClockFrequency = DEFINED(_ClockFrequency) ? _ClockFrequency : 50;
+
+_RamBase = DEFINED(_RamBase) ? _RamBase : 0x0;
+_RamSize = DEFINED(_RamSize) ? _RamSize : 4M;
+
 ENTRY(_start)
 SECTIONS
@@ -65,8 +66,5 @@
   .heap  :
   { 					
-    __HeapStart = .;
-    . += __HeapSize;
-    __WorkspaceBase = .;
-    . += __WorkspaceMax;
+    _WorkspaceBase = .;
   }
 /*