Index: c/src/lib/libbsp/m68k/efi332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi332/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/efi332/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/efi332/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -6,5 +6,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/m68k/efi68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi68k/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/efi68k/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -6,5 +6,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68302/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -11,5 +11,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68340/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68340/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -7,4 +7,5 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/fpsp/$(ARCH)/fpsp.rel)
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/gen68360/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -12,4 +12,5 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/fpsp/$(ARCH)/fpsp.rel)
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -9,6 +9,7 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-       $(foreach piece, $(CPU_PIECES), $(wildcard \
-           ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o) \
+    $(foreach piece, $(CPU_PIECES), $(wildcard \
+       ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)) \
     $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/fpsp/$(ARCH)/fpsp.rel)
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -6,5 +6,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -13,4 +13,5 @@
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
     $(wildcard ../consolex/$(ARCH)/consolex.rel) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/fpsp/$(ARCH)/fpsp.rel)
 
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/ods68302/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/ods68302/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -6,5 +6,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -1,2 +1,10 @@
+2002-08-05	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved
+	to libcpu.
+	* wrapup/Makefile.am: Pick up memcpy.o from libcpu.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/sim68000/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/wrapup/Makefile.am	(revision db3ca1f596b2566a8dc3b5e0acd21c987ee0a3be)
+++ c/src/lib/libbsp/m68k/sim68000/wrapup/Makefile.am	(revision 75adbe5fedbc8dffed756fd8aa45eeae0bce7ca5)
@@ -12,4 +12,5 @@
 OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.o) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o) \
     $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
 